petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscLogEventDeactivatePush

Indicates that a particular event should not be logged.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogEventDeactivatePush(PetscLogEvent event)

Not Collective

### Input Parameter

| event | - The event id

### Usage

          PetscLogEventDeactivatePush(VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscLogEventDeactivatePop(VEC_SetValues);
            [code where you do want to log VecSetValues()]

### Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with PetscLogEventRegister()).

### See Also

PetscLogEventActivate(), PetscLogEventDeactivatePop()

### Level

advanced

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages